% Calculate STGWA19N60 transistor forward voltage.              18-9-14

% File Power_Elect\Matlab\STGWA19N60_vt.m

% NB Function is characterised for I < 40. Larger I will give errors.
%   For I < 0 complex number returned.


function [vt] = STGWA19N60_vt(t,i)              % diode and transistor v

% The transistor voltages use the coefficients from STGWA19N60_v_data.m:
vt1 = 0.185*log(150*i + 1) + 0.025*i;               % at 125C
vt2 = 0.188*log(300*i + 1) + 0.018*i;               % at 25C

% Interpolate for temperature range
vt = vt1 + (vt2 - vt1)*(125 - t)/100;
if vt < 0
    vt = 0;
end

end



